classification
Title: Python SSL support is missing from SPARC build
Type: security Stage:
Components: Extension Modules Versions: Python 3.2
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes, eeiddne, loewis, pitrou
Priority: normal Keywords:

Created on 2013-05-21 15:00 by eeiddne, last changed 2016-09-08 14:39 by christian.heimes. This issue is now closed.

Messages (4)
msg189762 - (view) Author: Donal Duane (eeiddne) Date: 2013-05-21 15:00
Hi,

We have 2 Python 3.2 builds - one on x86 (Solaris 10), and one on SPARC (Solaris 10).

The x86 build works fine for SSL, but the SPARC build was either built without SSL support pecified, or, there was an issue with the build.


$ bash $ . /etc/opt/ericsson/system.env $ export PYTHONPATH PYTHONHOME PYTHON_HOME_3PP
$ /opt/python/python/python3.2 Python 3.2.2 (default, Nov 16 2011, 05:23:55)
[GCC 3.4.6] on sunos5
Type "help", "copyright", "credits" or "license" for more information.
>>> import _ssl Traceback (most recent call last): File "<stdin>", line 1, in <module> ImportError: No module named _ssl 
>>> 

$ ls -l /opt/python/python/lib-dynload/ | grep ssl -r-xr-xr-x 1 root other 110604 Nov 21 2011 _ssl_failed.so



are there any know issues with building in SSL support to Python 3.2 on Solaris SPARC 10?

If not - is there anyway to include it POST-compile?

Any support much appreciated.

Regards,
Dónal
msg189766 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-05-21 16:04
Do you build Python yourself? If so, check for any errors pertaining to the ssl module in the "make" output. "_ssl_failed.so" implies the module was built, but the resulting file failed to be imported dynamically by the interpreter, and thus was renamed to "XXX_failed.so".
msg189767 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2013-05-21 16:06
Donal, please understand that this tracker is primarily to report bugs, not to get support, so help on possible work-arounds is out of scope.

That said, if you want to investigate further, please rename _ssl_failed.so back to _ssl.so, and then re-perform the import; then report any messages you get.
msg275023 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2016-09-08 14:39
SPARC is no longer a supported platform.
History
Date User Action Args
2016-09-08 14:39:33christian.heimessetstatus: open -> closed

nosy: + christian.heimes
messages: + msg275023

resolution: wont fix
2013-05-21 16:06:38loewissetnosy: + loewis
messages: + msg189767
2013-05-21 16:04:18pitrousetnosy: + pitrou
messages: + msg189766
2013-05-21 15:00:11eeiddnecreate